Subject: RE: [Megaco] H248 Subtract

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 5 Oct 2001 13:39:08 -0400

I agree that your interpretation is correct.  Subtract{} with
no Audit is equivalent to Subtract{Audit{Statistics}},
If you put an Audit descriptor in the subtract, and don't
mention Statistics, you don't get them.

I'm happy to have text in the IG that says this.

Brian

> -----Original Message-----
> From: Terry L Anderson [mailto:[email-masked]]
> Sent: Friday, October 05, 2001 12:18 PM
> To: Sean Leahy
> Cc: [email-masked]
> Subject: Re: [Megaco] H248 Subtract
> 
> 
> I guess this is a little ambiguous.  I am not quite sure why 
> Statistics was
> made "default" but I would assume that if an Audit descriptor 
> is included then
> ONLY those items specified would be returned (e.g., 
> Audit{Media} would return
> only media descriptors and NOT statistics) and that the 
> "default" would only
> occur if there was no Audit descriptor.  So Audit{} would 
> turn off all audit,
> Audit{Media} would return Media and omitting Audit would 
> return Statistics.
> 
> Does anyone disagree?  Do folks think this needs to be 
> clarified in IG?
> 
> Sean Leahy wrote:
> 
> > Re: Your statement that:
> >
> > "...... to suppress the default one must send an empty 
> Audit descriptor
> > Audit{}.".
> >
> > Would it not be useful to be able to suppress statistics 
> whilst still being
> > able to ask for other information e.g. Media descriptors ?
> >
> > Sean Leahy
> 
> --
> 
> ------------------------------------------------------------
> Terry L Anderson              mailto:[email-masked]
> Tel:908.582.7013   Fax:908.582.6729
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla
> 
> 

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco